#!/bin/bash

export JAVA_HOME=/usr/local/java
export RESIN_HOME=/usr/local/resin

export MYHOSTNAME=`/bin/hostname`
export MYIP=`grep $MYHOSTNAME /etc/hosts|awk '{print $1}'`
if [ -z "$MYIP" ]; then
    MYIP=`host $MYHOSTNAME|awk '{print $4}'`
    if [ -z "$MYIP" ]; then 
        echo "Unable to determine ip address of $MYHOSTNAME"
        exit -21
    fi
fi

INSTANCE=${MYHOSTNAME%%.*}
RESIN_CONF=$RESIN_HOME/conf/resin.xml

#-server cannot be at the end of the command line!! it must appear where it is below

ACTION=`basename $0`
ACTION=${ACTION##bin-}
ACTION=${ACTION%%-httpd.sh}

for server in $*
do
    INSTANCE_LOCATION=$RESIN_HOME/instances/$server
    mkdir -p $INSTANCE_LOCATION
    ln -s $RESIN_HOME/log/jvm-$server.log $INSTANCE_LOCATION/stdout.log > /dev/null 2>&1
    $JAVA_HOME/bin/java -jar ${RESIN_HOME}/lib/resin.jar -conf $RESIN_CONF -server $server $ACTION
    if [ "$ACTION" == "stop" ]; then
        rm -f $RESIN_HOME/resin-data/*${server/-/_}*
    fi
done
